Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.context
Class ViewModelServiceNotAvailableReport

    java.lang.Object
      org.eclipse.emfforms.spi.common.report.AbstractReport
          org.eclipse.emf.ecp.view.spi.context.ViewModelServiceNotAvailableReport

    public class ViewModelServiceNotAvailableReport

extends AbstractReport

Indicates that `ViewModelService` is not available.

Since:
  1.5
Author:
  emueller

Constructor Summary
`ViewModelServiceNotAvailableReport(Class<?> serviceType)` Constructor.

Method Summary
`String` | `getMessage()` Returns the report message.
`Class<?>` | `getServiceType()` Returns the type of the unavailable service.
`int` | `getSeverity()` Returns the status of this report.

Methods inherited from class org.eclipse.emfforms.spi.common.report.AbstractReport
`getException, hasException`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewModelServiceNotAvailableReport

    public ViewModelServiceNotAvailableReport(Class<?> serviceType)

  Constructor.

  Parameters:
    `serviceType` - the type of the unavailable service

Method Detail

### getServiceType

    public Class<?> getServiceType()

  Returns the type of the unavailable service.

  Returns:
    the type of the unavailable service

### getMessage

    public String getMessage()

  Returns the report message.

  Overrides:
    `getMessage` in class `AbstractReport`
  Returns:
    the report message
  See Also:
    `AbstractReport.getMessage()`

### getSeverity

    public int getSeverity()

  Returns the status of this report.

  Overrides:
    `getSeverity` in class `AbstractReport`
  Returns:
    the status of this report
  See Also:
    `AbstractReport.getSeverity()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.